From: "Patrick Lauer" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/argcomplete/
Date: Thu, 18 Feb 2016 10:22:14 +0000 (UTC) [thread overview]
Message-ID: <1455790879.04d1a402d7f0bc201e32c84f083268cb35efcedc.patrick@gentoo> (raw)
commit: 04d1a402d7f0bc201e32c84f083268cb35efcedc
Author: Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 18 10:04:04 2016 +0000
Commit: Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Thu Feb 18 10:21:19 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=04d1a402
dev-python/argcomplete: Bump
Package-Manager: portage-2.2.27
dev-python/argcomplete/Manifest | 1 +
dev-python/argcomplete/argcomplete-1.0.0.ebuild | 39 +++++++++++++++++++++++++
2 files changed, 40 insertions(+)
diff --git a/dev-python/argcomplete/Manifest b/dev-python/argcomplete/Manifest
index bcfa66a..c39b11d 100644
--- a/dev-python/argcomplete/Manifest
+++ b/dev-python/argcomplete/Manifest
@@ -1,3 +1,4 @@
DIST argcomplete-0.8.1.tar.gz 30272 SHA256 12e36f784160547ca855a2c9d753cf60cd3f87cab72b1e4993ceffb6ba51443b SHA512 faf37f5a5c3f619066503b6fb53570e8c084d2f28895da6bfe38db58b06447dd3aee00d6073a33000486ba9c3c12b784276a57c625ed02f4bfcc78319bee0ea4 WHIRLPOOL 7c55337ca8bafb2779ee4e5cd3c42b0df0e3953bef548ceed516bc65c64870ea62c29914b9ad140dbab446bcec286e611ea82356b0a9c0e6c92a020986f4b161
DIST argcomplete-0.8.9.tar.gz 30575 SHA256 98f04fa2ca22479459d8ba04583dca653a41c2d7a57648ba7f3b4d7e19ea82be SHA512 21b7d267f2d5a43a299841ca05b3b4dc38587e9ac90db8634d8e13d089e58483b88506376eff16d8ea2d03a169e118a5be32549b74c5168a337e6a6d22a01f7f WHIRLPOOL 336d7096a0dbfd3fa2beeacee6189fe375586ddec7dfe5277687149701bb52befcc83234de6ea59c06f662c20e44de00420b51fc640517055d5505374f0fcd26
DIST argcomplete-0.9.0.tar.gz 35214 SHA256 f97577332d19aea09583ecb426a49e85dc7bbc9822ab345b9c790d923413af0e SHA512 e127a8d2e7914f2601d649963115595db40ed612d352c134c5b68acdcbcd52477728e6e1edddd405562b28329f960d87d1418fa8fe3b3f1dcb9c3ad10c42a65d WHIRLPOOL 03c5f4eac0aeac9887d8ba1d21b585854b91c7399c95260ecf58f92d709b9194f801b730ab26435e329e003f8041c96d11410983a83c21f262cd2ad68a32a100
+DIST argcomplete-1.0.0.tar.gz 35480 SHA256 2cba862e5ce5b0057a33169484544c38bfdc17a1dd865c197adb7ce07800e36e SHA512 9f974833d4e699d87e575a51c024ae7782f51f6e085be291bbac645b6e72873597be6da3c75b0461a8ef5a33311ce3d1fcb6e58f999ad043099331e269f5e9a6 WHIRLPOOL 52ce076077cb4dca8777e55a265351e817b9369af66635dd89b9b2dd3c6ef27e8329864f6024be70d786c42139ccd784d1e3535700a4bea304b2ce8611f1c407
diff --git a/dev-python/argcomplete/argcomplete-1.0.0.ebuild b/dev-python/argcomplete/argcomplete-1.0.0.ebuild
new file mode 100644
index 0000000..153dded
--- /dev/null
+++ b/dev-python/argcomplete/argcomplete-1.0.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit distutils-r1 bash-completion-r1
+
+DESCRIPTION="Bash tab completion for argparse"
+HOMEPAGE="https://pypi.python.org/pypi/argcomplete"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE=""
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ # purge test folder to avoid file collisions
+ sed -e "s:find_packages():find_packages(exclude=['test','test.*']):" -i setup.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ ${EPYTHON} test/test.py || die
+}
+
+python_install_all() {
+ sed \
+ -e "/complete /d" \
+ -i argcomplete/bash_completion.d/python-argcomplete.sh || die
+
+ distutils-r1_python_install_all
+ newbashcomp "${S}"/${PN}/bash_completion.d/python-argcomplete.sh python-${PN}
+}
next reply other threads:[~2016-02-18 10:22 UTC|newest]
Thread overview: 125+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-02-18 10:22 Patrick Lauer [this message]
-- strict thread matches above, loose matches on Subject: below --
2016-02-26 19:31 [gentoo-commits] repo/gentoo:master commit in: dev-python/argcomplete/ Patrick Lauer
2016-04-05 21:12 Manuel Rüger
2016-07-17 14:37 Patrick Lauer
2016-08-22 8:56 Patrice Clement
2016-08-22 8:56 Patrice Clement
2016-11-13 21:49 David Seifert
2017-10-01 17:55 Patrick Lauer
2018-03-29 3:29 Mike Frysinger
2018-06-22 22:45 Pacho Ramos
2018-06-22 22:45 Pacho Ramos
2019-04-27 19:54 Anthony G. Basile
2019-07-18 10:18 Michał Górny
2019-11-16 13:17 Michał Górny
2019-11-16 13:17 Michał Górny
2019-11-27 10:45 Michał Górny
2019-11-27 16:06 Michał Górny
2019-12-03 3:02 Aaron Bauman
2019-12-24 10:21 Michał Górny
2020-01-15 7:20 Michał Górny
2020-02-05 19:26 Sergei Trofimovich
2020-03-16 4:10 Matt Turner
2020-03-25 5:09 Georgy Yakovlev
2020-03-26 11:16 Michał Górny
2020-03-26 11:16 Michał Górny
2020-03-26 11:20 Michał Górny
2020-04-13 22:42 Sergei Trofimovich
2020-04-26 19:02 Matt Turner
2020-04-26 19:50 Michał Górny
2020-04-27 17:08 Sergei Trofimovich
2020-05-09 22:25 Sergei Trofimovich
2020-05-26 12:58 Michał Górny
2020-05-26 17:35 Sergei Trofimovich
2020-05-30 8:08 Michał Górny
2020-05-30 12:48 Michał Górny
2020-06-01 17:02 Sergei Trofimovich
2020-06-20 15:45 Thomas Deutschmann
2020-06-21 16:54 Agostino Sarubbo
2020-07-01 12:21 Michał Górny
2020-07-05 13:39 Agostino Sarubbo
2020-07-11 16:48 Sam James
2020-07-12 2:41 Sam James
2020-07-12 20:19 Michał Górny
2020-08-01 19:06 Sergei Trofimovich
2020-08-03 16:34 Sergei Trofimovich
2020-08-18 23:48 Sam James
2020-09-20 7:57 Michał Górny
2020-09-27 6:17 Michał Górny
2020-09-27 17:00 Michał Górny
2020-11-03 12:54 Sam James
2020-11-24 8:18 Michał Górny
2020-12-25 23:00 Sam James
2020-12-25 23:35 Michał Górny
2020-12-27 0:34 Sam James
2021-04-19 21:22 Michał Górny
2021-05-05 19:14 Michał Górny
2021-05-23 23:36 Joshua Kinard
2021-06-05 20:55 Michał Górny
2021-11-09 10:38 Michał Górny
2022-01-08 9:39 Michał Górny
2022-02-13 9:39 Michał Górny
2022-05-10 17:52 Michał Górny
2022-05-10 17:52 Michał Górny
2022-06-10 6:54 Michał Górny
2023-03-05 3:56 Michał Górny
2023-03-05 8:21 Sam James
2023-03-07 7:08 Michał Górny
2023-03-18 6:15 Michał Górny
2023-03-20 5:36 Michał Górny
2023-03-21 5:59 Michał Górny
2023-03-22 6:05 Michał Górny
2023-03-26 18:02 Michał Górny
2023-04-05 9:30 Arthur Zamarin
2023-04-24 5:57 Michał Górny
2023-05-23 18:39 Arthur Zamarin
2023-05-28 23:33 Sam James
2023-05-28 23:33 Sam James
2023-05-28 23:33 Sam James
2023-05-28 23:41 Sam James
2023-05-29 20:23 Sam James
2023-05-29 23:50 Sam James
2023-06-07 19:24 Arthur Zamarin
2023-06-07 19:24 Arthur Zamarin
2023-06-08 4:39 Michał Górny
2023-06-11 5:18 Michał Górny
2023-07-21 12:49 Sam James
2023-07-21 12:52 Arthur Zamarin
2023-09-17 4:44 Michał Górny
2023-10-18 15:49 Michał Górny
2023-11-02 14:28 Michał Górny
2023-11-29 10:10 Michał Górny
2023-11-29 10:12 Michał Górny
2023-12-11 4:14 Michał Górny
2023-12-30 14:25 Arthur Zamarin
2023-12-30 14:32 Michał Górny
2024-01-24 7:01 Michał Górny
2024-02-08 14:43 Michał Górny
2024-02-08 14:48 Michał Górny
2024-03-08 5:40 Michał Górny
2024-03-23 11:53 Michał Górny
2024-03-23 11:58 Michał Górny
2024-04-15 1:42 Michał Górny
2024-05-01 16:48 Sam James
2024-05-01 17:44 Michał Górny
2024-05-12 17:13 Michał Górny
2024-06-17 2:19 Michał Górny
2024-07-06 6:32 Sam James
2024-08-07 4:56 Michał Górny
2024-08-24 9:05 Arthur Zamarin
2024-08-24 13:06 Michał Górny
2024-10-08 3:00 Michał Górny
2024-10-26 13:28 Arthur Zamarin
2024-12-07 6:33 Michał Górny
2024-12-07 6:33 Michał Górny
2024-12-21 11:17 Michał Górny
2024-12-21 11:30 Michał Górny
2025-01-01 6:11 Michał Górny
2025-01-18 10:03 Michał Górny
2025-02-16 20:45 Michał Górny
2025-03-06 3:31 Michał Górny
2025-03-22 11:28 Arthur Zamarin
2025-03-23 3:09 Michał Górny
2025-04-03 7:59 Michał Górny
2025-04-12 7:30 Michał Górny
2025-04-12 7:40 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1455790879.04d1a402d7f0bc201e32c84f083268cb35efcedc.patrick@gentoo \
--to=patrick@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox